gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecFloat

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for float properties.

Synopsis

- newtype ParamSpecFloat = ParamSpecFloat (ManagedPtr ParamSpecFloat)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFloat o) => IsParamSpecFloat o
- toParamSpecFloat :: (MonadIO m, IsParamSpecFloat o) => o -> m ParamSpecFloat

# Exported types

newtype ParamSpecFloat Source #

Memory-managed wrapper type.

Constructors

ParamSpecFloat (ManagedPtr ParamSpecFloat) |

#### Instances

Instances details

Eq ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat Methods (==) :: ParamSpecFloat -> ParamSpecFloat -> Bool Source # (/=) :: ParamSpecFloat -> ParamSpecFloat -> Bool Source #
BoxedPtr ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat Methods boxedPtrCopy :: ParamSpecFloat -> IO ParamSpecFloat Source # boxedPtrFree :: ParamSpecFloat -> IO () Source #
ManagedPtrNewtype ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat Methods toManagedPtr :: ParamSpecFloat -> ManagedPtr ParamSpecFloat Source #
TypedObject ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat Methods glibType :: IO GType Source #
HasParentTypes ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat
type ParentTypes ParamSpecFloat Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat type ParentTypes ParamSpecFloat = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFloat o) => IsParamSpecFloat o Source #

Type class for types which can be safely cast to `ParamSpecFloat`, for instance with `toParamSpecFloat`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecFloat o) => IsParamSpecFloat o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecFloat

toParamSpecFloat :: (MonadIO m, IsParamSpecFloat o) => o -> m ParamSpecFloat Source #

Cast to `ParamSpecFloat`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.